package com.bcxin.ars.exception;

import java.util.Set;

/**
 * @author zhangyutong
 */
public class ValidateException extends RuntimeException {

    private Set<String> errorMessages;

    public Set<String> getErrorMessages() {
        return errorMessages;
    }

    public void setErrorMessages(Set<String> errorMessages) {
        this.errorMessages = errorMessages;
    }

    public ValidateException() {
    }

    public ValidateException(String message) {
        super(message);
    }

    public ValidateException(String message, Throwable cause) {
        super(message, cause);
    }

    public ValidateException(Set<String> errorMessages) {
        super();
        this.errorMessages = errorMessages;
    }
}
